%define fname	oauth

Name:		python-%{fname}
Summary:	Python module for OAuth
Version:	1.0.1
Release:	%mkrel 16
Group:		Development/Python
License:	ASL 2.0
URL:		http://code.google.com/p/oauth/
Source0:	https://pypi.io/packages/source/o/%{fname}/%{fname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	intltool

%description
An open protocol to allow API authentication in a simple and standard
method from desktop and web applications (this is the Python module only).

%package -n	python3-%{fname}
Summary:	Python 3 module for OAuth
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{fname}}

%description -n	python3-%{fname}
An open protocol to allow API authentication in a simple and standard
method from desktop and web applications (this is the Python 3 module only).

%prep
%autosetup -n %{fname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{fname}
%doc LICENSE.txt PKG-INFO
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-16.mga8
+ Revision: 1534484
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 daviddavid <daviddavid> 1.0.1-15.mga8
+ Revision: 1449215
- port to python3
- drop python2 support

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-14.mga7
+ Revision: 1289488
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 1.0.1-13.mga7
+ Revision: 1225467
- rename python-oauth to python2-oauth

* Fri Feb 19 2016 umeabot <umeabot> 1.0.1-12.mga6
+ Revision: 969862
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 philippem <philippem> 1.0.1-11.mga6
+ Revision: 880241
- set as noarch, use new macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-10.mga5
+ Revision: 746181
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-9.mga5
+ Revision: 729189
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 688187
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-6.mga4
+ Revision: 543895
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-5.mga4
+ Revision: 498986
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 379184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 misc <misc> 1.0.1-3.mga1
+ Revision: 88564
- use more standard options and macros
- clean spec, remove useless Requires
- imported package python-oauth


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.0.1-3mdv2011.0
+ Revision: 590096
- rebuild for python 2.7

* Mon Dec 14 2009 Caio Begotti <caio1982@mandriva.org> 1.0.1-2mdv2010.1
+ Revision: 478627
- to be honest i dunno what should be used here, the policy mentions en passant not to use noarch for python modules but the old macro fails on 64bits machines yet i cannot see what's the issue with the upstream code
- import python-oauth

